# You can define a custom AngelChest duration for certain groups.
# Players will need the angelchest.group.[groupname] permission.
# If a player is in no group, or the value has not been set for
# any of the player's groups, the default value will be used.
# If a player is in multiple groups, the "best" value is used,
# e.g. the highest duration, highest amount of chests and
# lowest prices.
#
# NOTE: SOME OF THOSE OPTIONS ARE ONLY AVAILABLE IN THE PREMIUM VERSION (AngelChestPlus)
# Every option here has an identical option in the config.yml. You can find information
# there whether one of the options is premium only or also available in the free version.
#
# IMPORTANT: If you want to use the global setting for an option for a specific group,
# you should UNSET the option in the group instead of setting it to false or 0 or whatever.
#
# Available options:
#   angelchest-duration: <duration in seconds> (e.g. 600, 0 = infinite chest)
#   angelchest-duration-in-pvp: <duration in seconds> (e.g. 600, 0 = infinite chest, -1 = same as "angelchest-duration")
#   unlock-duration: <duration in seconds> (e.g. 300, 0 = never unlock automatically)
#   suspend-countdowns-when-player-is-offline: true|false
#   max-allowed-angelchests: <number of chests> (e.g. 10)
#   price: <price for spawning the chest> (e.g. 5000 or 0.1p = 10% of player's balance)
#   price-open: <price for opening the chest> (e.g. 5000 or 0.1p = 10% of player's balance)
#   price-teleport: <price for teleporting to the chest> (e.g. 5000 or 0.1p = 10% of player's balance)
#   price-fetch: <price for fetching the chest> (e.g. 5000 or 0.1p = 10% of player's balance)
#   xp-percentage: <percentage of how much XP to keep> (e.g. 1 = 100%, 0.5 = 50%, -1 = vanilla behaviour)
#   spawn-chance: <spawn chance of an angelchest> (e.g 1.0 = 100%, 0.5 = 50%, 0.01 = 1%)
#   random-item-loss: <number of item stacks randomly lost> (e.g. 2 = 2 item stacks or 0.5p = 50% of player's item stacks)
#   invulnerability-after-tp: <amount of seconds> (e.g. 60 = one minute invulnerability after TPing to your chest, 0 = no invulnerability)
#   allow-tp-across-worlds: true|false
#   allow-fetch-across-worlds: true|false
#   max-tp-distance: <blocks> (e.g. 0 = unlimited, 200 = player can only teleport if they are within 200 blocks of the chest)
#   max-fetch-distance: <blocks> (same as max-tp-distance)
#   tp-wait-time: <seconds> (e.g. 0.5)
#
# Note: You MUST rename this file to groups.yml if you wish to use it.

admin:
  angelchest-duration: 1500
  angelchest-duration-in-pvp: 3000
  unlock-duration: 0
  suspend-countdowns-when-player-is-offline: true
  max-allowed-angelchests: 999
  price: 0
  price-open: 0
  price-teleport: 0
  price-fetch: 0
  xp-percentage: 1.0
  spawn-chance: 1.0
  random-item-loss: 0
  invulnerability-after-tp: 5
  allow-tp-across-worlds: true
  allow-fetch-across-worlds: true
  max-tp-distance: 0
  max-fetch-distance: 0
  tp-wait-time: 0
mod:
  angelchest-duration: 1200
  unlock-duration: 0
  suspend-countdowns-when-player-is-offline: true
  max-allowed-angelchests: 10
  xp-percentage: 0.8
  spawn-chance: 1.0
donor:
  angelchest-duration: 900
  unlock-duration: 450
  suspend-countdowns-when-player-is-offline: true
  max-allowed-angelchests: 7
  spawn-chance: 1.0
noob:
  angelchest-duration: 300
  unlock-duration: 150
  spawn-chance: 1.0
  random-item-loss: 1
idiot:
  angelchest-duration: 150
  spawn-chance: 1.0
  random-item-loss: 0.5p
